Package org.drinkless.tdlib

# Class TdApi.GetBotSimilarBotCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Count>
org.drinkless.tdlib.TdApi.GetBotSimilarBotCount

Enclosing class:
  `TdApi`

public static class TdApi.GetBotSimilarBotCount extends TdApi.Function<TdApi.Count>
Returns approximate number of bots similar to the given bot.

Returns `Count`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  User identifier of the target bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `returnLocal`
  Pass true to get the number of bots without sending network requests, or -1 if the number of bots is unknown locally.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetBotSimilarBotCount()`
  Default constructor for a function, which returns approximate number of bots similar to the given bot.
  `GetBotSimilarBotCount(long botUserId, boolean returnLocal)`
  Creates a function, which returns approximate number of bots similar to the given bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    User identifier of the target bot.

  - ### returnLocal

    public boolean returnLocal
    Pass true to get the number of bots without sending network requests, or -1 if the number of bots is unknown locally.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetBotSimilarBotCount

    public GetBotSimilarBotCount()
    Default constructor for a function, which returns approximate number of bots similar to the given bot.

    Returns `Count`

  - ### GetBotSimilarBotCount

    public GetBotSimilarBotCount(long botUserId, boolean returnLocal)
    Creates a function, which returns approximate number of bots similar to the given bot.

    Returns `Count`

    Parameters:
      `botUserId` - User identifier of the target bot.
      `returnLocal` - Pass true to get the number of bots without sending network requests, or -1 if the number of bots is unknown locally.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Count>`
    Returns:
      this.CONSTRUCTOR